# `gen-docs` ( class in module `docular` )

## Description

The gen-docs class has really only one public method "generate" which runs a mostly asynchronous workflow that pulls in the docular doc apis to then parse the files and then generate the HTML and partial files. It also then generates several javascript files that the UI will use to access the partials.

## Dependencies

- `docular.class.reader`
- `docular.class.writer`
- `docular.class.docular_utils`
- `node.class.qq`
- `node.class.q-fs`
- `node.class.fs`
- `node.class.node.extend`
- `node.class.colors`

## Methods

- ### generate(options_in, callBack)

  This is the main function to be called to kick of documentation generation.

  #### Parameters

  - `options_in – {object} –`

    This is the configuration which includes the groups of docs to parse

  - `callBack – {function} –`

    Function will be called when generation is complete